Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.metadata
Interface SequenceMetadata

All Superinterfaces:
  Metadata

    public interface SequenceMetadata

extends Metadata

Represents a sequence.

Since:
  3.0

Method Summary
`java.lang.String` | `getDatastoreSequence()` Accessor for the name of the datastore sequence that this maps to
`java.lang.String` | `getFactoryClass()` Accessor for the factory class for this sequence.
`java.lang.String` | `getName()` Accessor for the name of the sequence (set on construction).
`SequenceStrategy` | `getSequenceStrategy()` Accessor for the sequence strategy (set on construction).
`SequenceMetadata` | `setDatastoreSequence(java.lang.String seq)` Method to set the name of the datastore sequence that this maps to.
`SequenceMetadata` | `setFactoryClass(java.lang.String clsName)` Method to set the result class name for the query

Methods inherited from interface javax.jdo.metadata.Metadata
`getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

Method Detail

### getName

    java.lang.String getName()

  Accessor for the name of the sequence (set on construction).

  Returns:
    The name

### getSequenceStrategy

    SequenceStrategy getSequenceStrategy()

  Accessor for the sequence strategy (set on construction).

  Returns:
    Sequence strategy

### setDatastoreSequence

    SequenceMetadata setDatastoreSequence(java.lang.String seq)

  Method to set the name of the datastore sequence that this maps to.

  Parameters:
    `seq` - Datastore sequence name

### getDatastoreSequence

    java.lang.String getDatastoreSequence()

  Accessor for the name of the datastore sequence that this maps to

  Returns:
    The datastore sequence name

### setFactoryClass

    SequenceMetadata setFactoryClass(java.lang.String clsName)

  Method to set the result class name for the query

  Parameters:
    `clsName` - Result class name

### getFactoryClass

    java.lang.String getFactoryClass()

  Accessor for the factory class for this sequence.

  Returns:
    The factory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.